[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TDirectoryEdit.GetDialogResult

Gets the result from the specified dialog.

## Declaration

Source position: editbtn.pas line 500

`protected function TDirectoryEdit.GetDialogResult(`
`D: TCommonDialog`
`):string; virtual;`

## Arguments

`D` |  | Dialog examined in the method.

## Function result

Directory name from the dialog.

## Description

GetDialogResult is a String function used to get the result from the Select Directory dialog. The return value contains the value from the FileName property in the TSelectDirectoryDialog instance in D. The return value, when accepted in OnAcceptDirectory, is stored in the Directory property.

GetDialogResult is used in the implementation of the RunDialog method.

## See also

TDirectoryEdit.RunDialog |  | Executes the dialog for the control and stores the return value.
TDirectoryEdit.OnAcceptDirectory |  | OnAcceptDirectory - event handler for accepting the name of a directory.
TDirectoryEdit.Directory |  | The Directory selected by the dialog.
TSelectDirectoryDialog |  | Implements a select directory dialog.
TCommonDialog |  | The base type from which other dialogs are derived.